Bug 1023506 - [abrt] hotot-gtk-0.9.9-7.20130614gited2ff01.fc20: _mm_loadu_si128: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV) [NEEDINFO]
[abrt] hotot-gtk-0.9.9-7.20130614gited2ff01.fc20: _mm_loadu_si128: Process /u...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: hotot (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
abrt_hash:6c7b79c562d938458c8b1e5e9b6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 11:01 EDT by ByteEnable
Modified: 2015-06-29 08:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:43:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lists: needinfo? (extras-qa)


Attachments (Terms of Use)
File: backtrace (198.09 KB, text/plain)
2013-10-25 11:01 EDT, ByteEnable
no flags Details
File: cgroup (159 bytes, text/plain)
2013-10-25 11:01 EDT, ByteEnable
no flags Details
File: core_backtrace (96.92 KB, text/plain)
2013-10-25 11:01 EDT, ByteEnable
no flags Details
File: dso_list (25.30 KB, text/plain)
2013-10-25 11:01 EDT, ByteEnable
no flags Details
File: environ (3.09 KB, text/plain)
2013-10-25 11:01 EDT, ByteEnable
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-25 11:01 EDT, ByteEnable
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-25 11:01 EDT, ByteEnable
no flags Details
File: maps (148.41 KB, text/plain)
2013-10-25 11:01 EDT, ByteEnable
no flags Details
File: open_fds (1.84 KB, text/plain)
2013-10-25 11:01 EDT, ByteEnable
no flags Details
File: proc_pid_status (935 bytes, text/plain)
2013-10-25 11:01 EDT, ByteEnable
no flags Details

  None (edit)
Description ByteEnable 2013-10-25 11:01:07 EDT
Description of problem:
Just started the program and it crashed due to non-existant version 1 api that twitter has deprecated.

Version-Release number of selected component:
hotot-gtk-0.9.9-7.20130614gited2ff01.fc20

Additional info:
reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/hotot
crash_function: _mm_loadu_si128
executable:     /usr/bin/python2.7
kernel:         3.11.6-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _mm_loadu_si128 at /usr/lib/gcc/x86_64-redhat-linux/4.8.1/include/emmintrin.h:684
 #1 load_128_unaligned at pixman-sse2.c:370
 #2 sse2_blt at pixman-sse2.c:4764
 #4 sse2_composite_copy_area at pixman-sse2.c:4812
 #5 pixman_image_composite32 at pixman.c:707
 #6 composite_boxes at cairo-image-compositor.c:533
 #7 composite_aligned_boxes at cairo-spans-compositor.c:683
 #8 clip_and_composite_boxes at cairo-spans-compositor.c:882
 #10 _cairo_spans_compositor_paint at cairo-spans-compositor.c:983
 #11 _cairo_compositor_paint at cairo-compositor.c:65
Comment 1 ByteEnable 2013-10-25 11:01:11 EDT
Created attachment 816195 [details]
File: backtrace
Comment 2 ByteEnable 2013-10-25 11:01:18 EDT
Created attachment 816196 [details]
File: cgroup
Comment 3 ByteEnable 2013-10-25 11:01:20 EDT
Created attachment 816197 [details]
File: core_backtrace
Comment 4 ByteEnable 2013-10-25 11:01:27 EDT
Created attachment 816198 [details]
File: dso_list
Comment 5 ByteEnable 2013-10-25 11:01:30 EDT
Created attachment 816199 [details]
File: environ
Comment 6 ByteEnable 2013-10-25 11:01:35 EDT
Created attachment 816200 [details]
File: exploitable
Comment 7 ByteEnable 2013-10-25 11:01:38 EDT
Created attachment 816201 [details]
File: limits
Comment 8 ByteEnable 2013-10-25 11:01:40 EDT
Created attachment 816202 [details]
File: maps
Comment 9 ByteEnable 2013-10-25 11:01:43 EDT
Created attachment 816203 [details]
File: open_fds
Comment 10 ByteEnable 2013-10-25 11:01:46 EDT
Created attachment 816204 [details]
File: proc_pid_status
Comment 11 Christian Kujau 2013-12-13 20:46:50 EST
hotot-gtk crashes with this exact segfault every time I click on the "Favs" or the "Messages" tab. Clicking on "Home Timeline" (the "couch") or "Mentions" works....sometimes, but testing it right now it crashed when clicking on "Mentions" too.

There seems to be an issue with this menu bar in general: I removed the "Home Timeline" button and wanted to re-add it, and hotot crashed again. ABRT always catches the backtrace, but won't submit it as a duplicate of course.

On a side note: in my case, Fedora 20 does not offer a working and graphical Twitter client at the moment (mitter has bug 1043115, turpial has bug 975030, gwibber has bug 815728).
Comment 12 Eduardo Villagrán Morales 2013-12-21 09:06:34 EST
Another user experienced a similar problem:

Add new tabs to hotot

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/hotot
crash_function: _mm_loadu_si128
executable:     /usr/bin/python2.7
kernel:         3.11.10-301.fc20.i686
package:        hotot-gtk-0.9.9-7.20130614gited2ff01.fc20
reason:         python2.7 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 Fedora End Of Life 2015-05-29 05:38:18 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-06-29 08:43:48 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.